Package: java.lang

## Class Boolean

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Boolean` | `and(Boolean right)` Logical conjunction of two boolean operators.
    `boolean` | `asBoolean()` Coerce a Boolean instance to a boolean value.
    `Boolean` | `implies(Boolean right)` Logical implication of two boolean operands.
    `Boolean` | `or(Boolean right)` Logical disjunction of two boolean operators
    `Boolean` | `toBoolean()` Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.
    `Boolean` | `xor(Boolean right)` Exclusive disjunction of two boolean operators

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface java.lang.Comparable

    `numberAwareCompareTo`

- - ### Methods Detail

    - #### public Boolean and(Boolean right)

      Logical conjunction of two boolean operators.

      Parameters:
        `right` - right operator
      Returns:
        result of logical conjunction
      Since:
        1.0

    - #### public boolean asBoolean()

      Coerce a Boolean instance to a boolean value.

          // you can omit ".asBoolean()"
          assert Boolean.TRUE.asBoolean()
          assert !Boolean.FALSE.asBoolean()

      Since:
        1.7.0

    - #### public Boolean implies(Boolean right)

      Logical implication of two boolean operands.

      Parameters:
      Since:
        1.8.3

    - #### public Boolean or(Boolean right)

      Logical disjunction of two boolean operators

      Parameters:
        `right` - right operator
      Returns:
        result of logical disjunction
      Since:
        1.0

    - #### public Boolean toBoolean()

      Identity conversion which returns Boolean.TRUE for a true Boolean and Boolean.FALSE for a false Boolean.

      Returns:
        the original Boolean
      Since:
        1.7.6

    - #### public Boolean xor(Boolean right)

      Exclusive disjunction of two boolean operators

      Parameters:
        `right` - right operator
      Returns:
        result of exclusive disjunction
      Since:
        1.0